
Core - Bug # 65319

Epic # 65314 (New): PHP7

Status: Resolved Priority: Should have
Author: Alexander Opitz Category:
Created: 2015-02-25 Assigned To: Alexander Opitz
Updated: 2015-06-05 Due date:
TYPO3 Version: 6.2
PHP Version: 7.0
Complexity:
Is Regression: No
Sprint Focus:
Subject: ResourceUtilityTest::recursiveFileListSortingHelperCorrectlySorts
Description

TYPO3\CMS\Core\Tests\Unit\Utility\ResourceUtilityTest::recursiveFileListSortingHelperCorrectlySorts with data set "mixed
capitalization" (array('alllower', 'allCAPS', 'ALLcaps', 'mIxedinanotherway', 'ALLCAPS', 'MiXeDcApItAlIzAtIoN'),
array('ALLCAPS', 'ALLcaps', 'allCAPS', 'alllower', 'MiXeDcApItAlIzAtIoN', 'mIxedinanotherway'))
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
 Array (
-    0 => 'ALLCAPS'
+    0 => 'allCAPS'
     1 => 'ALLcaps'
-    2 => 'allCAPS'
+    2 => 'ALLCAPS'
     3 => 'alllower'
     4 => 'MiXeDcApItAlIzAtIoN'
     5 => 'mIxedinanotherway'
 )

/home/opitz/projects/typo3-master/typo3-src/typo3/sysext/core/Tests/Unit/Utility/ResourceUtilityTest.php:68
/home/opitz/projects/neos-git/Packages/Libraries/phpunit/phpunit/phpunit7:56

=> unatcasesort, internally same issue on swap?
=> Open an issue in PHP issue tracker

=> Also in HHVM

Related issues:
related to Core - Bug # 67187: recursiveFileListSortingHelper natural sorting... Under Review 2015-05-29

Associated revisions
Revision 773e80e6 - 2015-06-05 11:36 - Alexander Opitz

[BUGFIX] Fix FileList ordering for upper/lowercase

File names which only differ in upper/lowercase writing are now sorted
stable with uppercase first.
Resolves: #65319
Releases: master, 6.2
Change-Id: Ib1b907cb8aed6364aadc4f028cfc9294b5c18884
Reviewed-on: http://review.typo3.org/37250
Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>
Tested-by: Andreas Fernandez <typo3@scripting-base.de>
Reviewed-by: Frank Nägler <typo3@naegler.net>
Tested-by: Frank Nägler <typo3@naegler.net>

Revision 813ab683 - 2015-06-05 11:41 - Alexander Opitz

[BUGFIX] Fix FileList ordering for upper/lowercase

File names which only differ in upper/lowercase writing are now sorted
stable with uppercase first.

Resolves: #65319
Releases: master, 6.2
Change-Id: Ib1b907cb8aed6364aadc4f028cfc9294b5c18884
Reviewed-on: http://review.typo3.org/39967
Reviewed-by: Frank Nägler <typo3@naegler.net>
Tested-by: Frank Nägler <typo3@naegler.net>

History
#1 - 2015-02-25 11:12 - Alexander Opitz
- Description updated

#2 - 2015-02-26 10:21 - Alexander Opitz

This seams no issue in PHP. It is an issue of the functionality or the test.

#3 - 2015-02-26 10:22 - Alexander Opitz
- Description updated

#4 - 2015-02-26 10:50 - Alexander Opitz

After deeper looking in the cause of this issue, it is a bug in our implementation.
Fixes issue with PHP7 and HHVM.

#5 - 2015-02-26 12:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37250

#6 - 2015-04-10 01:26 - Gerrit Code Review
Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37250

#7 - 2015-05-20 19:08 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37250

#8 - 2015-05-27 00:37 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37250

#9 - 2015-05-29 13:53 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37250

#10 - 2015-05-30 08:57 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37250

#11 - 2015-06-01 12:58 - Alexander Opitz
- Assigned To set to Alexander Opitz
- % Done changed from 0 to 50

#12 - 2015-06-05 11:40 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39967

#13 - 2015-06-05 12:00 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 50 to 100

Applied in changeset commit:773e80e67b1ef8882b80b6f19129a8c3e2835183.
